class BuntoAuth
  def self.config_file
    File.join(Dir.pwd, "_config.yml")
  end

  def self.config
    @config ||= begin
      config = YAML.safe_load_file(config_file)
      config["bunto_auth"] || {}
    rescue
      {}
    end
  end

  def self.whitelist
    whitelist = BuntoAuth.config["whitelist"]
    Regexp.new(whitelist.join("|")) unless whitelist.nil?
  end

  def self.ssl?
    !!BuntoAuth.config["ssl"]
  end
end
